//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;


public class feladat {

    public feladat() {
    }

    static final int MaxN = 100;
	
	static int[] F=new int[MaxN];

    static class Input {
        int N;
    }

    static class Output {
        int fib;
    }

    static Input beolvas(IO io) throws IOException {
        Input input = new Input();
        input.N = io.nextInt();
        return input;
    }
	
	static void kiir(IO io, Input input, Output output) throws IOException {
		io.writeLn(output.fib);
    }

	static int Fib(int n) {
		if (F[n]<0) {
			if (n==0) {
				F[n]=0;
			} else if (n==1) {
				F[n]=1;
			} else {
				F[n]=Fib(n-1)+Fib(n-2);
			}
		}
		return F[n];
	}
	
	static Output megold(Input input) {
		Output output = new Output();
		output.fib=Fib(input.N);
		return output;
	}
   
    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

		for (int i=0;i<=input.N;i++) {
			F[i]=-1;
		}
        Output output = megold(input);

        kiir(io, input, output);

        io.close();
    }

}