Program Binomialis_N_K;
(*
  Feladat: Binimiális(N,K) (azaz N alatt a K)
           memórizáliós megoldás
*)
  Const
    MaxN=100;
  Type
    TEgeszek=Array [0..MaxN,0..MaxN] of LongInt;
  Var
    N,K:Integer;
    B:TEgeszek;
    BNK:LongInt;

  Procedure Inicializalas(Const N,K:Integer);
    Var
      i,j:Integer;
  Begin
    For i:=0 to N do
    Begin
      For j:=0 to K do
      Begin
        B[i,j]:=-1;
      End;
    End;
  End;
  
  Procedure Beolvasas(Var N,K:Integer);
  Begin
    //A felhasználónak szánt tájékoztató üzenetek az StrErr csatotnára írandók!
    //Például a kérdések:
    Write(StdErr,'N (>=0):');
    //A bemenetet nem ellenőrizzük sem szintaktikai, sem szemantikai szempontból.
    Read(N);//0<=N
    Write(StdErr,'K (0..',N,'):');
    Readln(K);//0<=K<=N
  End;

  Function Bin(Const n,k:Integer):LongInt;
  Begin
    If B[n,k]<0 then 
    Begin
      If (k=0) or (k=n) then B[n,k]:=1 else B[n,k]:=Bin(n-1,k)+Bin(n-1,k-1);
    End;
    Bin:=B[n,k];
  End;
    
  Procedure Kiiras(Const N,K:Integer; Const B:LongInt);
  Begin
    Write(StdErr,N,' alatt a(z) ',K,'='); Writeln(B); 
  End;
  
Begin
  Beolvasas(N,K);
  Inicializalas(N,K);
  
  BNK:=Bin(N,K);
  Kiiras(N,K,BNK);
End.
