﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace feladat
{
    class Program
    {
        static void Beolvasás(out int N, out int K)
        {
            //Feltesszük, hogy helyes az input, ezért nem ellenőrizzük
            Console.Error.WriteLine("Írd be N és K értékét! (N K)");
            string sor = Console.ReadLine();
            string[] adatok = sor.Split(' ');
            N = Convert.ToInt32(adatok[0]);
            K = Convert.ToInt32(adatok[1]);
        }

        static void inicializálás(int n, int k, int[,] b)
        {
            for (int i = 0; i <= n; i++)
            {
                for (int j = 0; j <= k; j++)
                {
                    b[i, j] = -1;
                }
            }
        }

        static int binom(int n, int k, int[,] b)
        {
            if (b[n,k] < 0)
            {
                if (k == 0 || k == n)
                {
                    b[n,k] = 1;
                }
                else
                {
                    b[n,k] = binom(n - 1, k, b) + binom(n - 1, k - 1, b);
                }
            }
            return b[n,k];
        }

        static void Kiírás(int n, int k, int ered)
        {
            Console.Error.Write("{0} alatt a(z) {1}: ", n, k);
            Console.WriteLine(ered);
        }

        static void Main(string[] args)
        {
            int n;
            int k;
            Beolvasás(out n, out k);
            int[,] b = new int[n+1, k+1];
            inicializálás(n, k, b);
            int ered = binom(n, k, b);
            Kiírás(n, k, ered);
        }
    }
}
