﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace feladat
{
    class Program
    {
        static int Beolvasás()
        {
            //Feltesszük, hogy helyes az input, ezért nem ellenőrizzük
            Console.Error.WriteLine("Írd be a beolvasni kívánt számot!");
            int szám = Convert.ToInt32(Console.ReadLine());
            return szám;
        }

        static void inicializálás(int n, int[] f)
        {
            for (int i = 0; i <= n; i++)
            {
                f[i] = -1;
            }
        }

        static int fibonacci(int n, int[] f)
        {
            if (f[n] < 0)
            {
                if (n == 0)
                {
                    f[n] = 0;
                }
                else if (n == 1)
                {
                    f[n] = 1;
                }
                else
                {
                    f[n] = fibonacci(n - 1, f) + fibonacci(n - 2, f);
                }
            }
            return f[n];
        }

        static void Kiírás(int n, int ered)
        {
            Console.Error.Write("{0}. fibonacci szám: ", n);
            Console.WriteLine(ered);
        }

        static void Main(string[] args)
        {
            int n = Beolvasás();
            int[] f = new int[n + 1];
            inicializálás(n, f);
            int ered = fibonacci(n,f);
            Kiírás(n, ered);
        }
    }
}
