//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;


public class feladat {

    public feladat() {
    }

    static final int MaxN = 100;
	
	static int[][] B=new int[MaxN][MaxN];

    static class Input {
        int N;
        int K;
    }

    static class Output {
        int b;
    }

    static Input beolvas(IO io) throws IOException {
        Input input = new Input();
        input.N = io.nextInt();
        input.K = io.nextInt();
        return input;
    }
	
	static void kiir(IO io, Input input, Output output) throws IOException {
		io.writeLn(output.b);
    }

	static int Bin(int n, int k) {
		if (B[n][k]<0) {
			if ((k==0) || (k==n)) {
				B[n][k]=1;
			} else {
				B[n][k]=Bin(n-1,k)+Bin(n-1,k-1);
			}
		}
		return B[n][k];
	}
	
	static Output megold(Input input) {
		Output output = new Output();
		output.b=Bin(input.N, input.K);
		return output;
	}
   
    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

		for (int i=0;i<=input.N;i++) {
			for (int j=0;j<=input.K;j++) {
				B[i][j]=-1;
			}
		}
        Output output = megold(input);

        kiir(io, input, output);

        io.close();
    }

}